Bug 232647 - Following satellite client install instructions kills Sparc client
Following satellite client install instructions kills Sparc client
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Solaris (Show other bugs)
500
sparc Other
high Severity high
: ---
: ---
Assigned To: Jan Pazdziora
Brandon Perkins
:
Depends On:
Blocks: 232331
  Show dependency treegraph
 
Reported: 2007-03-16 10:37 EDT by Terry Jones
Modified: 2007-06-26 11:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 22:19:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Jan Pazdziora 2007-04-18 12:33:13 EDT
Well, it does not sound clear to me, so it could use the same clarification.

Moreover, I really wonder if the step in
https://rhn.redhat.com/rhn/help/reference/rhn500/en/unix-preparation.jsp#s1-preparation
point 8.2.2.1.2 is correct. The library search path could have some values
already and we overwrite them here. We might want to say that the user should run

crle -c /var/ld/ld.conifg (oh, loovely typo here),

mark the Default Library Path value down and then add any necessary paths to
make it contain /lib:/usr/lib:/usr/local/lib, resp.
/lib:/usr/lib:/usr/local/lib:/usr/sfw/lib.

And 8.2.2.1.5 should do the same (heya, here we use ld-config -- too many
variants). I really wonder which of these (ld.config, ld-config) is the correct
one. Looking at Google fight, ld.config.
Comment 6 Jan Pazdziora 2007-04-19 06:53:13 EDT
(In reply to comment #3)
> Jan - can you review README file (that ships as part of the solaris bootstrap
> package):
> 
> cvs/solaris/bootstrap/README
> 
> Make sure it is clear on this as well:
> 1) if not, fix and then move this bug to MODIFIED and then clone this bug and
> move that clone under 'rhn500s-docs'. 

Checking in README;
/cvs/rhn/solaris/bootstrap/README,v  <--  README
new revision: 1.9; previous revision: 1.8
done

The text might use some polishing from English native speaker:

diff -u -r1.8 -r1.9
--- README      10 Aug 2005 18:40:47 -0000      1.8
+++ README      19 Apr 2007 10:50:45 -0000      1.9
@@ -43,12 +43,22 @@
 
 o Configure the library search path
 
+Check the current library search path
+
+# crle -c /var/ld/ld.config
+
+Note the value Default Library Path.
+
+Modify the path to also include the components shown below:
+
 - on sparc
 # crle -c /var/ld/ld.config -l /lib:/usr/lib:/usr/local/lib
 
 - on x86:
 # crle -c /var/ld/ld.config -l /lib:/usr/lib:/usr/local/lib:/usr/sfw/lib
 
+The -l option resets the value, not appends, so if there already was
+some value set on your system, prepend it to the -l parameter.
 
 o Download the RHN client packages
 
@@ -92,8 +102,15 @@
 # man -M /opt/redhat/rhn/solaris/man <man page>
 
 o Add the Red Hat library path 
+
 # crle -c /var/ld/ld.config -l <CURRENT LIBRARY PATHS>:/opt/redhat/rhn/solaris/lib
 
+The <CURRENT LIBRARY PATHS> are the paths set by the step Configure the
+library search path above. You can always check the <CURRENT LIBRARY PATHS>
+value with
+
+# crle -c /var/ld/ld.config
+
 o Register the system against an RHN satellite
 
 # rhnreg_ks --force --user admin --pass <PASSWD>
--serverUrl=http://<HOSTNAME>/XMLRPC 
Comment 8 Jan Pazdziora 2007-04-25 15:56:56 EDT
Mass moving ON_QA.
Comment 9 Brandon Perkins 2007-05-19 14:31:19 EDT
Verified.  The current README looks and reads much better than the old one. 
Good catch that someone who doesn't do this regularly might stumble on that I
wouldn't have noticed on my own.  I look forward to checking bug 237074.
Comment 10 Clifford Perry 2007-06-20 16:44:21 EDT
[cperry@cperry ~]$ ssh root@rlx-3-12.rhndev.redhat.com
root@rlx-3-12.rhndev.redhat.com's password: 
Last login: Wed Jun 20 15:39:10 2007 from vpn-4-63.str.redhat.com

RHN kickstart on 2007-06-15

[root@rlx-3-12 ~]# cd /var/www/html/pub/
[root@rlx-3-12 pub]# l
-bash: l: command not found
s[root@rlx-3-12 pub]# ls
bootstrap                                        
rhn-solaris-bootstrap-5.0.0-14-i386-sol9.tar.gz
RHN-ORG-TRUSTED-SSL-CERT                         
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10.tar.gz
rhn-org-trusted-ssl-cert-1.0-1.noarch.rpm        
rhn-solaris-bootstrap-5.0.0-14-sparc-sol8.tar.gz
rhn-solaris-bootstrap-5.0.0-14-i386-sol10.tar.gz 
rhn-solaris-bootstrap-5.0.0-14-sparc-sol9.tar.gz
[root@rlx-3-12 pub]# tr -zxvf rhn-solaris-bootstrap-5.0.0-14-sparc-sol10.tar.gz
tr: invalid option -- z
Try `tr --help' for more information.
[root@rlx-3-12 pub]# tar -zxvf rhn-solaris-bootstrap-5.0.0-14-sparc-sol10.tar.gz
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/RHATrcfg-5.0.1-3.el5.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/RHATrcfga-5.0.1-3.el5.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/RHATrcfgc-5.0.1-3.el5.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/RHATrcfgm-5.0.1-3.el5.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/RHATrhnl-1.8-7.p23.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/RHATrpush-5.0.0-7.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/README
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/RHATpossl-0.6-1.p24.6.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/RHATpythn-2.4.1-2.rhn.4.sol8.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/RHATrhnc-5.0.0-33.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/RHATsmart-5.0.0-26.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/SMClibgcc-3.4.1-sol8-sparc.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/SMCossl-0.9.7g-sol8-sparc.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/SMCzlib-1.2.2-sol8-sparc.pkg
rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/sparc-sol8
[root@rlx-3-12 pub]# cat rhn-solaris-bootstrap-5.0.0-14-sparc-sol10/README
Installing the RHN client software on a Solaris system


Contents:

o Install required libraries
o Configure the library search path
o Download the RHN client packages
o Install the RHN client packages
o Set the PATH to pick up the RHN client commands
o Set the MANPATH to access RHN client command man pages
o Add the Red Hat library path 
o Register the system against an RHN satellite
o Create and assign a Solaris software channel


Details:


o Install required libraries:

You must have the gzip command installed. This comes in the package
SUNWgzip or may be downloaded and installed from sunfreeware.com.

These libraries are required: libgcc, openssl, zlib

On recent versions of Solaris, these requirements are met by
natively installed packages:

    SUNWzlib, SUNWgccruntime, SUNWopenssl*

For older Solaris version, the required packages can be downloaded
from sunfreeware.com

    SMClibgcc (or SMCgcc), SMCossl, SMCzlib

You can verify if a package is installed using the pkginfo
command. For example to check for a package that contains
"zlib" in the name run the following command:

# pkginfo | grep zlib


o Configure the library search path

Check the current library search path

# crle -c /var/ld/ld.config

Note the value Default Library Path.

Modify the path to also include the components shown below:

- on sparc
# crle -c /var/ld/ld.config -l /lib:/usr/lib:/usr/local/lib

- on x86:
# crle -c /var/ld/ld.config -l /lib:/usr/lib:/usr/local/lib:/usr/sfw/lib

The -l option resets the value, not appends, so if there already was
some value set on your system, prepend it to the -l parameter.

o Download the RHN client packages

The packages can be downloaded from
https://<SATELLITE-HOSTNAME>/pub
    

o Install the RHN client packages 

The following packages are required for RHN client support:

    RHATpossl, RHATpythn, RHATrhnl, RHATrhnc, RHATsmart,
    RHATrpush, RHATrcfg, RHATrcfga, RHATrcfgc, RHATrcfgm

Here is how a typical install might look:
        
# pkgadd -n -d RHATpossl-0.6-1.p24.6.pkg all
# pkgadd -n -d RHATpythn-2.4.1-2.rhn.4.sol8.pkg all
# pkgadd -n -d RHATrhnl-1.8-6.p22.pkg all
# pkgadd -n -d ... all


o Set the PATH to pick up the RHN client commands

    - You may wish to add these commands to your login script

# PATH=$PATH:/opt/redhat/rhn/solaris/bin
# PATH=$PATH:/opt/redhat/rhn/solaris/usr/bin
# PATH=$PATH:/opt/redhat/rhn/solaris/usr/sbin
# export PATH

o Set the MANPATH to access RHN client command man pages

    - You may wish to add these commands to your login script

# MANPATH=$MANPATH:/opt/redhat/rhn/solaris/man
# export MANPATH

    - You can also access the man pages with the man option -M

# man -M /opt/redhat/rhn/solaris/man <man page>

o Add the Red Hat library path 

# crle -c /var/ld/ld.config -l <CURRENT LIBRARY PATHS>:/opt/redhat/rhn/solaris/lib

The <CURRENT LIBRARY PATHS> are the paths set by the step Configure the
library search path above. You can always check the <CURRENT LIBRARY PATHS>
value with

# crle -c /var/ld/ld.config

o Register the system against an RHN satellite

# rhnreg_ks --force --user admin --pass <PASSWD>
--serverUrl=http://<HOSTNAME>/XMLRPC 


o Create and assign a Solaris software channel

Use the satellite Web interface to create a software channel with a
Base Channel Architecture of "Sparc Solaris" or "i386 Solaris"
depending on your client system's architecture. Then set this channel
as the base channel for the system that you just registered. You may
also wish to add Provisioning as an Add-On Entitlement to the system
at this time.
[root@rlx-3-12 pub]# 
Comment 11 Brandon Perkins 2007-06-25 22:19:57 EDT
Closed for Satellite 500 Release.

Note You need to log in before you can comment on or make changes to this bug.